
Redmine - Defect #6575

start date being filled with current date even when blank value is submitted

2010-10-05 12:46 - Bruno Medeiros

Status: Closed Start date: 2010-10-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.0.4   

Resolution: Fixed Affected version: 1.0.2

Description

I'm using redmine 1.0.2 and experiencing a very annoying defect: every time I create a new issue, the start date is filled with the

current date even if i leave this field blank.

I know #2269 is not implemented yet, but redmine should respect the blank value when I erase the default suggested value.

Associated revisions

Revision 4378 - 2010-11-07 00:23 - Jean-Philippe Lang

Fixed: start date being filled with current date even when blank value is submitted (#6575).

History

#1 - 2010-10-05 12:48 - Bruno Medeiros

Oh, this bug happens even here, I deleted the date when created this issue and it's filled now. :P

#2 - 2010-10-12 00:20 - Mischa The Evil

I can confirm this issue on trunk at r4215. It seems introduced during the IssuesController-refactoring in r3688 followed by r3689.

I was able to fix the issue by applying the following patch:

Index: app/controllers/issues_controller.rb

===================================================================

--- app/controllers/issues_controller.rb    (revision 4215)

+++ app/controllers/issues_controller.rb    (working copy)

@@ -308,7 +308,9 @@

       end

     end

     @issue.author = User.current

-    @issue.start_date ||= Date.today

+    if (request.get? || request.xhr?)

+      @issue.start_date ||= Date.today

+    end

     @priorities = IssuePriority.all

     @allowed_statuses = @issue.new_statuses_allowed_to(User.current, true)

   end

#3 - 2010-10-14 05:26 - Bruno Medeiros

Thanks for the patch, but I decided to apply the #2277 instead. I fixes the problem and makes what my company want.

#4 - 2010-11-07 00:17 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.0.4

- Resolution set to Fixed

Fixed in r4378.

#5 - 2010-11-14 12:09 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/issues/2269
https://www.redmine.org/projects/redmine/repository/svn/revisions/4215
https://www.redmine.org/projects/redmine/repository/svn/revisions/3688
https://www.redmine.org/projects/redmine/repository/svn/revisions/3689
https://www.redmine.org/issues/2277
https://www.redmine.org/projects/redmine/repository/svn/revisions/4378


Merged in 1.0-stable in r4398.

#6 - 2013-08-01 15:03 - Raghu GS

I am facing this issue in Redmine 2.3x versiom.

#7 - 2013-08-09 05:14 - Bruno Medeiros

Are you sure?
